API ReferenceAgents
Rotate Agent Webhook
Rotate the secret of the agent's inbound webhook.
Rotate the secret of the agent's inbound webhook.
Returns a fresh URL (shown only once); update your sender to use it. Deliveries to the previous URL are rejected once rotation completes.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Header Parameters
X-API-Key?string|null
Response Body
application/json
application/json
curl -X POST "https://api.levainlabs.com/api/v1/agents/string/webhooks/rotate"{
"trigger_id": "string",
"integration_id": "string",
"agent_id": "string",
"url": "string",
"enabled": true,
"created_at": "string"
}